<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Mi primer Leaflet</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Mini map -->
    <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css">
    <!-- Leaflet.MousePosition -->
    <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css">
    <!-- Leaflet.awesome-markers -->
    <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css">
    <!--  -->
    <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
    <!--  -->
    <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css">
    <!-- mis css -->
    <link rel="stylesheet" href="index.css">
    <!-- Cluster -->
    <link rel="stylesheet" href="Leaflet.markercluster-1.0.0/dist/MarkerCluster.Default.css">
    <link rel="stylesheet" href="Leaflet.markercluster-1.0.0/dist/MarkerCluster.css">

    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <!-- Leaflet.Spain.WMS -->
    <script src="https://sigdeletras.github.io/Leaflet.Spain.WMS/src/Leaflet.Spain.WMS.js"></script>
    <!-- ESRI -->
    <script src="https://cdn.jsdelivr.net/leaflet.esri/2.0.0-beta.8/esri-leaflet.js"></script>
    <script src="archivos_curso_leaflet/leaflet.shpfile.js"></script>
    <script src="archivos_curso_leaflet/shp.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
    <!-- Bootstrap -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <!-- Mini map -->
    <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script>
    <!-- Leaflet.MousePosition -->
    <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script>
    <!-- leaflet-plugins -->
    <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script>
    <!-- API-KEY Google -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script>
    <!-- Leaflet.GoogleMutant -->
    <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script>
    <!-- Leaflet.awesome-markers -->
    <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script>
    <!-- geojson -->
    <script type="text/javascript" src="countries.js"></script>
    <!--  -->
    <script src="Leaflet.markercluster-1.0.0/dist/leaflet.markercluster.js" charset="utf-8"></script>
    <script src="archivos_curso_leaflet/SalamancaMonumental.js" charset="utf-8"></script>

</head>

<body>
    <!-- <div id="map"> </div> -->

    <div class="container">
        <div id="map"></div>
        <div id="out-control"></div>
    </div>

    <script>
        var map = L.map('map', {
            center: [40.965, -5.664],
            zoom: 14
        });

        var myMarker = L.marker([40.965, -5.664]);
        var myMarker1 = L.marker([40.96143, -5.66724]);
        map.addLayer(myMarker);
        map.addLayer(myMarker1);
        var osm = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png').addTo(map);

        var baseLayers = {
            "Base:": osm,
            "Ortoimagen": Spain_PNOA_Ortoimagen,
            "IGN": Spain_IGNBase,
            "Catastro": Spain_Catastro
        };
        var overlays = {
            "Plaza Mayor": myMarker,
            "Universidad": myMarker1,
            "Plaza ": myMarker,
            '<span class="azul"> Universidad 1 </span>': myMarker1,
            "Plaza 1": myMarker,
            "Universidad 2": myMarker1,
            "Plaza 2": myMarker,
            '<span class="verde"> Universidad 3': myMarker1,
            "Plaza 3": myMarker,
            "Universidad 4": myMarker1,
        };

        var control = new L.control.layers(baseLayers, overlays, {
            collapsed: false
        });

        control.addTo(map);

        var htmlObject = control.getContainer();
        console.log(htmlObject);

        function controlFueraMapa() {
            // Creamos la referencia al nuevo div.
            var miControl = document.getElementById('out-control');
            miControl.appendChild(htmlObject);
        }
        addEventListener('load', controlFueraMapa);
        var markers = L.markerClusterGroup({});

        var monumentos = L.geoJson(geojson, {
            onEachFeature: function(feature, layer) {
                layer.bindPopup("<ul><h3>" + feature.properties.Nombre + " </h3><li>Estilo: " +
                    feature.properties.Estilo + "</li><li>Siglo: " + feature.properties.Siglo + "</li></ul>");
            }
        });
        markers.addLayer(monumentos);
        map.addLayer(markers);
        L.control.scale({
            updateWhenIdle: true,
            metric: false,
            maxWidth: 200,
            position: 'bottomright'
        }).addTo(map); // escala

        var geojson = [{
            "type": "Feature",
            "geometry": {
                "type": "Point",
                "coordinates": [-5.66401, 40.96506, ]
            },
            "properties": {
                "name": "Plaza Mayor",
                "title": "Plaza Mayor",
                "imagen": "plaza_mayor.jpeg"
            }
        }, {
            "type": "Feature",
            "geometry": {
                "type": "Point",
                "coordinates": [-5.66712, 40.96143]
            },
            "properties": {
                "name": "Universidad",
                "title": "Universidad de Salamanca",
                "imagen": "Universidad_de_Salamanca.jpg"
            }
        }];

        var featuresLayer = new L.GeoJSON(geojson, {
            onEachFeature: function(feature, marker) {
                marker.bindPopup("<ul><h3>" + feature.properties.name + " </h3><figure><img src=images/" + feature.properties.imagen + " > </figure></ul> ");
            }
        }).addTo(map);
    </script>
</body>

</html>
